Skip to main content
POST
/
organizations
Create a new organization
curl --request POST \
  --url https://api.xata.tech/organizations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>"
}
'
{
  "id": "<string>",
  "name": "<string>",
  "status": {
    "status": "enabled",
    "disabled_by_admin": true,
    "billing_status": "ok",
    "last_updated": "2023-11-07T05:31:56Z",
    "admin_reason": "<string>",
    "billing_reason": "<string>",
    "created_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json

Request payload for creating a new organization

name
string
required

Name for the new organization

Response

Organization successfully created

Organization details including ID and name

id
string
required

Unique identifier for the organization

Pattern: [a-zA-Z0-9_-~:]+
name
string
required

Human-readable name of the organization

status
object
required

Current status of the organization